Bug 131059 - cannot apply any changes to network configuration or save config changes. can't update name
cannot apply any changes to network configuration or save config changes. ca...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 19:31 EDT by Joe Blakistone
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 07:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Blakistone 2004-08-26 19:31:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9)
Gecko/20020501

Description of problem:
this is the error that dumps out...it tells me it is probably a bug
and to log it on bugzilla

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
__call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 401, in on_okButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 276, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py",
line 981, in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py",
line 933, in __setitem__
    findexp = '[\t ]*' + key + '[\t ]+' + varname + '[\t ]+'
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
missing: 1
key: options
place: 0
value: {'options': {}}
self: <netconfpkg.NCHardwareList.MyConfModules instance at 844d070>
varname: None


Version-Release number of selected component (if applicable):
redhat-config-network-0.9.10-2.1

How reproducible:
Always

Steps to Reproduce:
1.make any kind of changes using neat , hit apply or save and you get
an error
2.
3.
    

Additional info:
Comment 1 Harald Hoyer 2004-08-31 07:44:32 EDT
Please update to the latest bugfix erratum and report any remaining bugs

https://rhn.redhat.com/errata/RHBA-2004-130.html
Comment 2 Joe Blakistone 2004-08-31 09:03:12 EDT
thanks, installing the most up-to-date redhat-network-config package 
solved my problem.

Note You need to log in before you can comment on or make changes to this bug.